Overview | Package | Class | Tree | Deprecated | Index | Help
| J2EE1.4 SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.appserv.management.deploy
Interface DeploymentStatus

All Superinterfaces:
  MapCapable, OperationStatus

All Known Implementing Classes:
  DeploymentStatusImpl

public interface DeploymentStatus
extends OperationStatus

Final status of a deployment. See `DeploymentMgr`.getFinalDeploymentStatus()

Field Summary
`static java.lang.String` | `ADDITIONAL_STATUS_KEY`
`static java.lang.String` | `DEPLOYMENT_STATUS_CLASS_NAME` Value of the MapCapable.MAP_CAPABLE_CLASS_NAME_KEY when turned into a Map.
`static java.lang.String` | `MODULE_ID_KEY` Key within the Map of AdditionalStatus.
`static java.lang.String` | `PARENT_KEY`
`static java.lang.String` | `STAGE_DESCRIPTION_KEY`
`static java.lang.String` | `STAGE_STATUS_KEY`
`static java.lang.String` | `STAGE_STATUS_MESSAGE_KEY`
`static java.lang.String` | `STAGE_THROWABLE_KEY`
`static int` | `STATUS_CODE_NOT_INITIALIZED` Status code indicating failure due to improper initialization.
`static java.lang.String` | `SUB_STAGES_KEY`

Fields inherited from interface com.sun.appserv.management.base.OperationStatus
`STATUS_CODE_FAILURE, STATUS_CODE_KEY, STATUS_CODE_SUCCESS, STATUS_CODE_WARNING, THROWABLE_KEY`

Fields inherited from interface com.sun.appserv.management.base.MapCapable
`MAP_CAPABLE_CLASS_NAME_KEY`

Method Summary
`java.util.Map` | `getAdditionalStatus()`
`DeploymentStatus` | `getParent()`
`java.lang.String` | `getStageDescription()`
`int` | `getStageStatus()` Legal status codes include: OperationStatus#STATUS_CODE_SUCCESS OperationStatus#STATUS_CODE_FAILURE OperationStatus#STATUS_CODE_WARNING #STATUS_CODE_NOT_INITIALIZED
`java.lang.String` | `getStageStatusMessage()`
`java.lang.Throwable` | `getStageThrowable()`
`java.util.Iterator` | `getSubStages()` Get the list of sub stages for this deployment status
`void` | `setParent(DeploymentStatus parent)` set the parent status for this status if any

Methods inherited from interface com.sun.appserv.management.base.OperationStatus
`getStatusCode, getThrowable`

Methods inherited from interface com.sun.appserv.management.base.MapCapable
`asMap, getMapClassName`

Field Detail

### DEPLOYMENT_STATUS_CLASS_NAME

    public static final java.lang.String DEPLOYMENT_STATUS_CLASS_NAME

  Value of the MapCapable.MAP_CAPABLE_CLASS_NAME_KEY when turned into a Map.

  See Also:
    Constant Field Values

### STATUS_CODE_NOT_INITIALIZED

    public static final int STATUS_CODE_NOT_INITIALIZED

  Status code indicating failure due to improper initialization.

  See Also:
    Constant Field Values

### STAGE_STATUS_KEY

    public static final java.lang.String STAGE_STATUS_KEY

See Also:
  Constant Field Values

### STAGE_STATUS_MESSAGE_KEY

    public static final java.lang.String STAGE_STATUS_MESSAGE_KEY

See Also:
  Constant Field Values

### SUB_STAGES_KEY

    public static final java.lang.String SUB_STAGES_KEY

See Also:
  Constant Field Values

### STAGE_THROWABLE_KEY

    public static final java.lang.String STAGE_THROWABLE_KEY

See Also:
  Constant Field Values

### STAGE_DESCRIPTION_KEY

    public static final java.lang.String STAGE_DESCRIPTION_KEY

See Also:
  Constant Field Values

### PARENT_KEY

    public static final java.lang.String PARENT_KEY

See Also:
  Constant Field Values

### ADDITIONAL_STATUS_KEY

    public static final java.lang.String ADDITIONAL_STATUS_KEY

See Also:
  Constant Field Values

### MODULE_ID_KEY

    public static final java.lang.String MODULE_ID_KEY

  Key within the Map of AdditionalStatus. The unique module id of the deployed component.

  See Also:
    Constant Field Values

Method Detail

### getSubStages

    public java.util.Iterator getSubStages()

  Get the list of sub stages for this deployment status

  Returns:
    an Iterator for the sub stages

### getStageStatus

    public int getStageStatus()

  Legal status codes include:
  - OperationStatus#STATUS_CODE_SUCCESS
  - OperationStatus#STATUS_CODE_FAILURE
  - OperationStatus#STATUS_CODE_WARNING
  - #STATUS_CODE_NOT_INITIALIZED

  Returns:
    the status for this stage (ignoring sub stages status)

### getStageStatusMessage

    public java.lang.String getStageStatusMessage()

  Returns:
    a meaningful i18ned reason for failure or warning

### getStageThrowable

    public java.lang.Throwable getStageThrowable()

  Returns:
    the exception if an exception was thrown during the execution of the stage

### getStageDescription

    public java.lang.String getStageDescription()

  Returns:
    a meaningful i18ned stage description

### getAdditionalStatus

    public java.util.Map getAdditionalStatus()

  Returns:
    the map storing additional properties for this status

### getParent

    public DeploymentStatus getParent()

  Returns:
    the parent status for this status if any

### setParent

    public void setParent(DeploymentStatus parent)

  set the parent status for this status if any

  Parameters:
    `parent` - DeploymentStatus

Overview | Package | Class | Tree | Deprecated | Index | Help
| J2EE1.4 SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature

Copyright 2003 Sun Microsystems, Inc. All rights reserved.